List Accounts
/unified/crm/accounts
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The name of the account
26 supported
The date and time of the account's creation
23 supported
The date and time of the account's last update
22 supported
The date and time of the account's last activity
14 supported
The account's description
20 supported
The website of the account.
24 supported
1 supported
The term to search on
9 supported
Sort results by one or more fields
created_atdescriptionemail_addresseslast_activity_atnamenumber_of_employeesupdated_at
17 supported
namecreated_atupdated_atcreated_atupdated_atlast_activity_atnamenamenamenumber_of_employeescreated_atupdated_atnamenamecreated_atupdated_atcreated_atupdated_atnamenamedescriptioncreated_atupdated_atnamecreated_atupdated_atlast_activity_atnamecreated_atupdated_atemail_addressescreated_atupdated_atnameThe date and time of the account's creation
ascdesc
6 supported
The date and time of the account's last update
ascdesc
5 supported
The account's owner
21 supported3 notes
The owner of the accounts
The owner of the accounts
The owner of the accounts. This filter is mutually exclusive to other filters. If this filter is used, the other filters should not be set.
The owner's unique identifier
The contact's tags
13 supported
The tag's unique identifier
The tag's name
22 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
19 supported
The phone number
The phone number type
mobilework
The extension of the phone number
The unique identifier of the phone number
The city of the contacts
7 supported
The state of the contacts
7 supported
The country of the accounts
7 supported
2 supported
The number of employess of the accounts.
13 supported
The view id of the accounts
1 supported
1 supported1 required
The industry of the accounts.
10 supported
The list of custom field names in include.
4 supported
All the custom fields present on the account
18 supported
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Accounts
The account's unique identifier
26 supported
22 supported
8 properties
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the account's creation
23 supported
All the custom fields present on the account
18 supported
The account's description
20 supported
The account's industry
10 supported
The date and time of the account's last activity
14 supported
The account's name
26 supported
The account's number of employees
13 supported
The account's owner
21 supported
1 property
The owner's unique identifier
19 supported
4 properties
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's tags
13 supported
2 properties
The tag's unique identifier
The tag's name
The date and time of the account's last update
22 supported
The account's urls
17 supported
2 properties
The account's URL type
The account's URL
The account's website
24 supported
curl -X GET 'https://api.truto.one/unified/crm/accounts?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/accounts?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/accounts"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'accounts',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"accounts",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())